{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "BPAR_COMMENTAIRES"; 
            externalType = VARCHAR2; 
            name = bparCommentaires; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            columnName = "BPAR_ID"; 
            externalType = NUMBER; 
            name = bparId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "BPAR_KEY"; 
            externalType = VARCHAR2; 
            name = bparKey; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "BPAR_UPDATE"; 
            externalType = VARCHAR2; 
            name = bparUpdate; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "BPAR_VALUE"; 
            externalType = VARCHAR2; 
            name = bparValue; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (bparCommentaires, bparId, bparKey, bparUpdate, bparValue, exeOrdre); 
    className = "org.cocktail.bibasse.server.metier.EOBudgetParametres"; 
    classProperties = (bparCommentaires, bparKey, bparUpdate, bparValue, exercice); 
    externalName = "JEFY_BUDGET.Budget_Parametres"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (bparCommentaires, bparKey, bparUpdate, bparValue, exercice); 
        "_javaClientClassName" = "org.cocktail.bibasse.client.metier.EOBudgetParametres"; 
    }; 
    name = BudgetParametres; 
    primaryKeyAttributes = (bparId); 
    relationships = (
        {
            destination = Exercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }
    ); 
}
